# Network documentation of K8S

## Network architecture

TODO (for now check the netplan and k8s configs)

## Cisco config

For the fully operational cluster, a few cisco configs need to be added.

Vlan config:

```bash
vlan 43
 name K8S-INTERNAL
vlan 44
 name K8S-BGP-NAT
vlan 503
 name K8S-MGMT
```

Running config:

```bash
interface Vlan44
 ip address 10.44.255.253 255.255.0.0
 ip nat inside
 glbp 44 ip 10.44.255.254
 glbp 44 preempt
 glbp 44 load-balancing host-dependent
!

# Keepalived IP
ip route 152.66.192.39 255.255.255.255 Vlan44

interface Loopback44
 description K8S-BGP
 ip address 192.168.8.1 255.255.255.255
!

# Because of "ge 32", both .32 and .39 can be advertised as /32 by MetallB
ip prefix-list K8S-IPv4-IN seq 5 permit 152.66.192.32/29 ge 32

template peer-policy K8S
 prefix-list K8S-IPv4-IN in
 soft-reconfiguration inbound
exit-peer-policy
!

template peer-session K8S
 remote-as 65500
 description K8S
exit-peer-session
!

router bgp 65500
  ...
  neighbor 10.44.1.11 inherit peer-session K8S
  neighbor 10.44.1.12 inherit peer-session K8S
  neighbor 10.44.1.13 inherit peer-session K8S
  neighbor 10.44.1.21 inherit peer-session K8S
  neighbor 10.44.1.22 inherit peer-session K8S
  neighbor 10.44.1.23 inherit peer-session K8S
  neighbor 10.44.1.24 inherit peer-session K8S

  !
  address-family ipv4
    maximum-paths ibgp 6
    ...
    neighbor 10.44.1.11 activate
    neighbor 10.44.1.11 inherit peer-policy K8S
    neighbor 10.44.1.12 activate
    neighbor 10.44.1.12 inherit peer-policy K8S
    neighbor 10.44.1.13 activate
    neighbor 10.44.1.13 inherit peer-policy K8S
    neighbor 10.44.1.21 activate
    neighbor 10.44.1.21 inherit peer-policy K8S
    neighbor 10.44.1.22 activate
    neighbor 10.44.1.22 inherit peer-policy K8S
    neighbor 10.44.1.23 activate
    neighbor 10.44.1.23 inherit peer-policy K8S
    neighbor 10.44.1.24 activate
    neighbor 10.44.1.24 inherit peer-policy K8S
  !
!

# NAT config
ip access-list standard NAT-VLAN44-K8S
 permit 10.44.0.0 0.0.255.255

ip nat pool POOL-VLAN44-K8S 152.66.208.169 152.66.208.170 netmask 255.255.255.0

ip nat inside source list NAT-VLAN44-K8S pool POOL-VLAN44-K8S overload
```
