locals {
  vm_cloud_init_map = {
    master-01-k8s-02 = {
      address = "11"
    }
    master-02-k8s-02 = {
      address = "12"
    }
    master-03-k8s-02 = {
      address = "13"
    }
    worker-01-k8s-02 = {
      address = "21"
    }
    worker-02-k8s-02 = {
      address = "22"
    }
    worker-03-k8s-02 = {
      address = "23"
    }
    worker-04-k8s-02 = {
      address = "24"
    }
  }
}

data "template_file" "kube" {
  for_each = { for k, v in local.vm_cloud_init_map : k => v }
  template = file("${path.module}/cloud-init/kube-k8s-02.tpl")

  vars = {
    address = each.value.address
  }
}
